import {Portal} from "../openaireLibrary/utils/entities/adminTool/portal";
import {StakeholderConfiguration} from "../openaireLibrary/monitor-admin/utils/indicator-utils";
import {LayoutService} from "../openaireLibrary/dashboard/sharedComponents/sidebar/layout.service";
import {Role} from "../openaireLibrary/login/utils/helper.class";
import {Stakeholder} from "../openaireLibrary/monitor/entities/stakeholder";
import {LinksResolver} from "../search/links-resolver";

export class Irish {
  public static irishAdminToolsPortalType = "country";
  public static irishAdminToolsCommunity = "irish";
  public static METADATA_PREFIX = '';

  public portal: Portal = Portal.getMockCommunityInfo("noami", "Noami",['service'],['/search/advanced/services', '/search/find/services']);

  constructor() {
    LinksResolver.setDefaultProperties('national/');

    StakeholderConfiguration.ENTITIES.stakeholder = 'Monitor';
    StakeholderConfiguration.ENTITIES.stakeholders  = 'Monitors';
    StakeholderConfiguration.ENTITIES.funder  = 'RFO';
    StakeholderConfiguration.ENTITIES.funders  = 'RFOs';
    StakeholderConfiguration.ENTITIES.organization = 'RPO';
    StakeholderConfiguration.ENTITIES.organizations = 'RPOs';
    StakeholderConfiguration.ENTITIES.datasource = 'Repository';
    StakeholderConfiguration.ENTITIES.datasources = 'Repositories';
    StakeholderConfiguration.ENTITIES.datasource = 'Repository';
    StakeholderConfiguration.ENTITIES.researcher = 'Researcher';
    StakeholderConfiguration.ENTITIES.researchers = 'Researchers';

    StakeholderConfiguration.TYPES = [
      {value: 'funder', label: StakeholderConfiguration.ENTITIES.funder},
      {value: 'organization', label: StakeholderConfiguration.ENTITIES.organization},
      {value: 'country', label: StakeholderConfiguration.ENTITIES.country},
      {value: 'datasource', label: StakeholderConfiguration.ENTITIES.datasource},
      {value: 'researcher', label: StakeholderConfiguration.ENTITIES.researcher}

    ];

    StakeholderConfiguration.FUNDER_TYPES = [
        {value: null, label: 'None'},
        {value: 'private', label: 'Private'},
        {value: 'government', label: 'Government'}
    ];

    StakeholderConfiguration.VISIBILITIES = [
      {icon: 'earth', value: "PUBLIC", label: 'Public'},
    ];

    StakeholderConfiguration.CACHE_INDICATORS = true;

    LayoutService.HEADER_HEIGHT = '60px';

    Role.GROUP = 'irish.';
  }

}

export class StakeholderPublication extends Stakeholder {
  publications: number;
}
